import { axios } from '@/utils/request'

//  销售退货 列表  分页
export const salesReturnList = (params) => {
  const url = `/salesReturn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  销售退货 详情
export const salesReturnDetail = (params) => {
  return axios({
    url: `/salesReturn/findById/${params.id}`,
    data: params,
    method: 'get'
  })
}
//  销售退货 导出
export const salesReturnExport = (params) => {
  return axios({
    url: '/salesReturn/export',
    data: params,
    method: 'post'
  })
}
//  销售退货 审核
export const salesReturnAudit = (params) => {
  return axios({
    url: '/salesReturn/audit',
    data: params,
    method: 'post'
  })
}
//  销售退货 收款
export const salesReturnPay = (params) => {
  return axios({
    url: '/salesReturn/pay',
    data: params,
    method: 'post'
  })
}
//  销售退货 打印
export const salesReturnPrint = (params) => {
  return axios({
    url: '/salesReturn/print',
    data: params,
    method: 'post'
  })
}
//  销售退货 打印预览
export const salesReturnprintPreview = (params) => {
  return axios({
    url: '/salesReturn/printPreview',
    data: params,
    method: 'post'
  })
}
//  销售退货 提交
export const salesReturnSubmit = (params) => {
  return axios({
    url: '/salesReturn/submit',
    data: params,
    method: 'post'
  })
}
//  销售退货 保存
export const salesReturnSave = (params) => {
  return axios({
    url: '/salesReturn/save',
    data: params,
    method: 'post'
  })
}
//  销售退货 删除
export const salesReturnDel = (params) => {
  return axios({
    url: `/salesReturn/delete/${params.id}`,
    data: params,
    method: 'post'
  })
}
